Package com.macrofocus.high_d.parallelcoordinates.swing

# Class SwingParallelCoordinatesComponent<Row,Column>

java.lang.Object
com.macrofocus.high_d.parallelcoordinates.AbstractParallelCoordinatesComponent<JComponent,Color,Row,Column>
com.macrofocus.high_d.parallelcoordinates.swing.SwingParallelCoordinatesComponent<Row,Column>

All Implemented Interfaces:
  `com.macrofocus.crossplatform.CPComponent<JComponent>`, `ParallelCoordinatesComponent<JComponent,Color,Row,Column>`

public class SwingParallelCoordinatesComponent<Row,Column> extends AbstractParallelCoordinatesComponent<JComponent,Color,Row,Column>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.macrofocus.high_d.parallelcoordinates.AbstractParallelCoordinatesComponent

  `AbstractParallelCoordinatesComponent.AbstractVisualLayerIDrawing, AbstractParallelCoordinatesComponent.Cache`

- ## Field Summary

  ### Fields inherited from class com.macrofocus.high_d.parallelcoordinates.AbstractParallelCoordinatesComponent

  `canvas, level, model, timer, view`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SwingParallelCoordinatesComponent(ParallelCoordinatesView<?,Color,Row,Column> view, int level)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getHeight()`
  `JComponent`
  `getNativeComponent()`
  `int`
  `getWidth()`
  `protected void`
  `refresh()`
  `void`
  `repaint()`
  `void`
  `reset()`
  `void`
  `scheduleUpdate()`
  `void`
  `setStyleClass(String... styleClasses)`
  `void`
  `waitUntilReady()`

  ### Methods inherited from class com.macrofocus.high_d.parallelcoordinates.AbstractParallelCoordinatesComponent

  `clearCache, createOverplots, distance, getClosestRow, getRows, getShape, setModel`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SwingParallelCoordinatesComponent

    public SwingParallelCoordinatesComponent(ParallelCoordinatesView<?,Color,Row,Column> view, int level)

- ## Method Details

  - ### setStyleClass

    public void setStyleClass(String... styleClasses)

  - ### refresh

    protected void refresh()
    Specified by:
      `refresh` in class `AbstractParallelCoordinatesComponent<JComponent,Color,Row,Column>`

  - ### waitUntilReady

    public void waitUntilReady()

  - ### reset

    public void reset()

  - ### getNativeComponent

    public JComponent getNativeComponent()

  - ### getWidth

    public int getWidth()
    Specified by:
      `getWidth` in class `AbstractParallelCoordinatesComponent<JComponent,Color,Row,Column>`

  - ### getHeight

    public int getHeight()
    Specified by:
      `getHeight` in class `AbstractParallelCoordinatesComponent<JComponent,Color,Row,Column>`

  - ### repaint

    public void repaint()
    Specified by:
      `repaint` in class `AbstractParallelCoordinatesComponent<JComponent,Color,Row,Column>`

  - ### scheduleUpdate

    public void scheduleUpdate()